net.minecraft.entity.ai.attributes

## Class BaseAttributeMap

- java.lang.Object
- - net.minecraft.entity.ai.attributes.BaseAttributeMap

- Direct Known Subclasses:
    ServersideAttributeMap

      public abstract class BaseAttributeMap
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map` | `attributes`
    `protected java.util.Map` | `attributesByName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseAttributeMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeInstance(ModifiableAttributeInstance par1ModifiableAttributeInstance)`
    `void` | `applyAttributeModifiers(com.google.common.collect.Multimap par1Multimap)`
    `java.util.Collection` | `getAllAttributes()`
    `IAttributeInstance` | `getAttributeInstance(IAttribute par1Attribute)`
    `IAttributeInstance` | `getAttributeInstanceByName(java.lang.String par1Str)`
    `abstract IAttributeInstance` | `registerAttribute(IAttribute var1)`
    `void` | `removeAttributeModifiers(com.google.common.collect.Multimap par1Multimap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributes

          protected final java.util.Map attributes

    - #### attributesByName

          protected final java.util.Map attributesByName

  - ### Constructor Detail

    - #### BaseAttributeMap

          public BaseAttributeMap()

  - ### Method Detail

    - #### getAttributeInstance

          public IAttributeInstance getAttributeInstance(IAttribute par1Attribute)

    - #### getAttributeInstanceByName

          public IAttributeInstance getAttributeInstanceByName(java.lang.String par1Str)

    - #### registerAttribute

          public abstract IAttributeInstance registerAttribute(IAttribute var1)

    - #### getAllAttributes

          public java.util.Collection getAllAttributes()

    - #### addAttributeInstance

          public void addAttributeInstance(ModifiableAttributeInstance par1ModifiableAttributeInstance)

    - #### removeAttributeModifiers

          public void removeAttributeModifiers(com.google.common.collect.Multimap par1Multimap)

    - #### applyAttributeModifiers

          public void applyAttributeModifiers(com.google.common.collect.Multimap par1Multimap)